Bug 167589 - dvipdf segfault in gs or dvips
dvipdf segfault in gs or dvips
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-09-05 20:20 EDT by Sam Steingold
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-06 11:57:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
the input that causes the segfault (37.56 KB, application/octet-stream)
2005-09-05 20:22 EDT, Sam Steingold
no flags Details

  None (edit)
Description Sam Steingold 2005-09-05 20:20:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
dvipdf crashes:
$ dvipdf clisp.dvi clisp.pdf
/usr/bin/dvipdf: line 40: 12609 Broken pipe             exec dvips -q -f "$infile"
     12610 Segmentation fault      | gs $OPTIONS -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile="$outfile" $OPTIONS -c .setpdfwrite -

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.dvipdf clisp.dvi clisp.pdf

Actual Results:  crash:
/usr/bin/dvipdf: line 40: 12609 Broken pipe             exec dvips -q -f "$infile"
     12610 Segmentation fault      | gs $OPTIONS -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile="$outfile" $OPTIONS -c .setpdfwrite -

Expected Results:  clisp.pdf is created

Additional info:
Comment 1 Sam Steingold 2005-09-05 20:22:39 EDT
Created attachment 118482 [details]
the input that causes the segfault

this is the "clisp.dvi" file that causes the crash
Comment 2 Tim Waugh 2005-09-06 04:43:17 EDT
I cannot reproduce this problem on Fedora Core 4 with ghostscript-7.07-40.  What
does 'type gs' say?
Comment 3 Sam Steingold 2005-09-06 11:02:40 EDT
gs is /usr/bin/gs
dvips is /usr/bin/dvips

maybe it's dvips that is crashing?
Comment 4 Tim Waugh 2005-09-06 11:15:12 EDT
What does this say?: "rpm -V ghostscript tetex-dvips"
Comment 5 Sam Steingold 2005-09-06 11:42:10 EDT
..5.....    /usr/lib/libgs.so.7.07
S.5....T    /usr/share/texmf-var/fonts/map/dvips/updmap/builtin35.map
S.5....T    /usr/share/texmf-var/fonts/map/dvips/updmap/download35.map
S.5....T    /usr/share/texmf-var/fonts/map/dvips/updmap/ps2pk.map
S.5....T    /usr/share/texmf-var/fonts/map/dvips/updmap/psfonts_pk.map
S.5....T    /usr/share/texmf-var/fonts/map/dvips/updmap/psfonts_t1.map
Comment 6 Tim Waugh 2005-09-06 11:50:25 EDT
Your libgs.so.7.07 has changed since install.  Any idea why that might be?
Comment 7 Sam Steingold 2005-09-06 11:57:57 EDT
i reinstalled both ghostscript and tetex-dvips and now they work fine.
I am scared - why could they have changed?!
I am now running "rpm -V -a"...

Note You need to log in before you can comment on or make changes to this bug.